import { defineComponent as n, openBlock as c, createBlock as p, resolveDynamicComponent as m, unref as e, normalizeClass as d, withCtx as f, renderSlot as u } from "vue";
import { useTheme as i } from "../../composables/useTheme.js";
const _ = {
  tag: {
    type: String,
    default: "div"
  },
  flat: Boolean
}, C = { name: "XCard" }, B = /* @__PURE__ */ n({
  ...C,
  props: _,
  setup(t) {
    const a = t, { styles: o, classes: r, className: l } = i("Card", {}, a);
    return (s, y) => (c(), p(m(s.tag), {
      styles: e(o),
      class: d([
        e(l),
        e(r).wrapper
      ])
    }, {
      default: f(() => [
        u(s.$slots, "default")
      ]),
      _: 3
    }, 8, ["styles", "class"]));
  }
});
export {
  B as default
};
